gpsim (0.32.1-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:22:08 +0100

gpsim (0.32.1-3) unstable; urgency=medium

  * removed the file debian/rules.old. Closes: #1115204

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Sep 2025 12:04:18 +0200

gpsim (0.32.1-2) unstable; urgency=medium

  [Bastian Germann]
  * Build without GUI. Closes: #967454
  * Drop unnecessary Build-Depends: quilt, libgtkextra-dev. Closes: #1054292

  [Georges Khaznadar]
  * Uploaded Bastian's work to Debian, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Dec 2023 16:05:06 +0100

gpsim (0.32.1-1) unstable; urgency=medium

  * New upstream version 0.32.1
  * refreshed the debian patch
  * bumped Standards-Version: 4.6.2, debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Nov 2023 16:45:52 +0100

gpsim (0.31.0-2) unstable; urgency=medium

  * adopted Slávek Banko's patch, thanks! Closes: #939338

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2019 20:12:59 +0200

gpsim (0.31.0-1) unstable; urgency=medium

  * upgraded Standards-Version to 4.1.4, dh to 11
  * updated d/watch file to mangle the upstream RC to ~rc. Hence
    detected the new upstream version.
  * New upstream version 0.31.0
  * added VCS stuff
  * simplified debian packaging
  * ignore generated files
  * fixed a typo and notified a change in d/README.Debian

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 18:48:13 +0200

gpsim (0.30.0~rc0-1) unstable; urgency=medium

  * New upstream release. Closes: #853432

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Aug 2017 19:09:26 +0200

gpsim (0.29.0-2) unstable; urgency=medium

  * rebuilf with new GTK libraries. Closes: #818533

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 18 Mar 2016 00:36:00 +0100

gpsim (0.29.0-1) unstable; urgency=medium

  * upgraded to the new upstream release. Closes: #694726
  * updated the override for the clean target in d/rules

 -- Georges Khaznadar <georgesk@freeduc.org>  Fri, 06 Nov 2015 09:02:57 +0100

gpsim (0.27.0-7) unstable; urgency=medium

  * made a new build with gcc5. Closes: #800538

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 01 Oct 2015 17:54:51 +0200

gpsim (0.27.0-6) unstable; urgency=medium

  * added a build-dependency on libtool-bin. Closes: #761753

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Sep 2014 19:19:52 +0200

gpsim (0.27.0-5) unstable; urgency=medium

  * revived the GUI program in the package. Added build-dependencies on
    libgtkextra-dev, libgtk2.0-dev,
    activated "GUI_SWITCH = --enable-gui" in debian/rules
  * rewritten debian/rules to use debhelper's dh command
  * changed debian/compat to "9"
  * changed source format to 3.0 (quilt)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Aug 2014 11:02:16 +0200

gpsim (0.27.0-4) unstable; urgency=medium

  * included Alexander's patch; Closes: #753268
  * upgraded Standards-Version to 3.9.5
  * defined a macro GUI_SWITCH in d/rules, with a value "--disable-gui"
    it can be set to "--enable-gui" to build the graphic part of gpsim

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 30 Jun 2014 10:33:49 +0200

gpsim (0.27.0-2) unstable; urgency=medium

  * enabled the GUI again

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Mar 2014 23:15:52 +0100

gpsim (0.27.0-1) unstable; urgency=low

  * Upgraded to the newest upstream version
  * Changed my debemail
  * Upgraded Standards-Version to 3.9.4
  * Added a build-dependency on gputils

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Sep 2013 00:43:29 +0200

gpsim (0.26.1-2) unstable; urgency=low

  * applied Ilya Barygin's patch, thanks! Closes: #665542
  * upgraded Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 May 2012 20:04:42 +0000

gpsim (0.26.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": update patch 10-configure.ac.patch (fix from
    Paul Tagliamonte).
    (Closes: #667190)

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 May 2012 15:41:09 +0200

gpsim (0.26.1-1) unstable; urgency=low

  * upgraded to the newest upstream version. 
    Closes: #646211
  * added chrysn's watch file. Closes: #646789
  * bumped Standards-Version to 3.9.2
  * changed the format of the package to 3.0 (quilt)
  * added more files to clean in debian/rule's clean target

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 29 Oct 2011 23:49:55 +0200

gpsim (0.24-6) unstable; urgency=low

  * Applied Andreas Moog's patch, in order to ship no longer .la files.
    Closes: #620761

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 04 Apr 2011 17:46:24 +0200

gpsim (0.24-5) unstable; urgency=low

  * patched the file configure.ac to add "-ldl" in X_LDFLAGS.Removed 
    "-warn-once" from AM_LDFLAGS as binutils-gold does not know this flag.
    Closes: 554740

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Aug 2010 11:51:55 +0200

gpsim (0.24-4) unstable; urgency=low

  * updated the dependency on libreadline-dev. Closes: #553872
  * upgraded Standards-Version to 3.9.1

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 01:09:12 +0200

gpsim (0.24-3) unstable; urgency=low

  * modified the configuration to remove the dependency on 
    libgtk+extra-x11-3.0-0. As a result, there is no more gui interface
    for gpsim. However, the libraries featured by this build are 
    sufficient for ktechlab, which provides a graphic interface.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 15 Feb 2010 00:42:53 +0100

gpsim (0.24-2) unstable; urgency=low

  * rebuilt with libgtkextra-3.0-dev

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 13 Feb 2010 20:27:05 +0100

gpsim (0.24-1) unstable; urgency=low

  * adopted the package
  * upgraded to the newest upstream version
  * upgraded Standards-Version to 3.8.3
  * modified the patching system to quilt
  * erased older unseless patches
  * added ${misc:Depends} for gpsim-dev

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 16 Jan 2010 17:32:11 +0100

gpsim (0.22.0-5.2) unstable; urgency=high

  * Cherrypick acinclude update from release to fix readline detection
    (Closes: #520005)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 13 Jul 2009 19:36:10 +0200

gpsim (0.22.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with GCC 4.4 (Closes: #505011)
  * Build against GTK 2.0 (Closes: #516232)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 20 Feb 2009 20:22:25 +0100

gpsim (0.22.0-5) unstable; urgency=medium

  * Acknowledge NMU, thanks Luk (Closes: #471202)
  * Fix gcc-4.3 compilation issues (Closes: #474796)
    patch taken from gentoo, thanks to the people involved
   - Incorporate all gcc-4.3 porting issues into 10-gcc-4.3.dpatch
   - Add dpatch back to build-depends and call it in debian/rules
  * Update standards-version to 3.7.3
  * Remove some empty dirs under /usr/share/doc/gpsim/examples/
  * Remove code, which automatically adds the library extension to the
    file, in order to let people load the libraries without the
    gpsim-dev package installed and document library loading in 
    README.Debian (Closes: #475473)

 -- Steffen Joeris <white@debian.org>  Sun, 01 Jun 2008 09:30:49 +0000

gpsim (0.22.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #454831, #455608).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 15:48:49 +0000

gpsim (0.22.0-4) unstable; urgency=medium

  * Correct last upload and remove libopts25-dev from build-depends
    and add libpopt-dev as a gpsim-dev dependency (Closes: #442106)

 -- Steffen Joeris <white@debian.org>  Wed, 19 Sep 2007 13:31:36 +0000

gpsim (0.22.0-3) unstable; urgency=medium

  * Add build-depends against libopts25-dev to avoid FTBFS
    (Closes: #442106)
  * Remove exdbm as build-depends, because the package will be removed
    from Debian and gpsim still has an own copy of it

 -- Steffen Joeris <white@debian.org>  Wed, 19 Sep 2007 21:08:17 +1000

gpsim (0.22.0-2) unstable; urgency=low

  * Include patch to add missing includes needed by g++-4.3
    (Closes: #417213) Thanks to Martin Michlmayr
  * Change maintainer address
  * Make sure that make distclean errors are not ignored
  * Remove substvar in debian/control as it has some backwards
    compatibility
  * Delete several rpaths using chrpath and add it to build-depends
  * Update gpsim lintian override

 -- Steffen Joeris <white@debian.org>  Fri, 29 Jun 2007 14:22:49 +0200

gpsim (0.22.0-1) unstable; urgency=low

  * New upstream release
   - Final release with enhancements from the last release candidate
  * Update debian copyright and add new contributors

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue, 21 Nov 2006 05:31:09 +1100

gpsim (0.22.0~rc3-1) unstable; urgency=medium

  * New upstream version
   - Mainly a bugfix release
    Many thanks to the author Scott Dattalo for taking care of Debian
    release cycle and special thanks to Eamon Skelton for power testing
   - Fix for the gui problem which was introduced with last upstream 
     version
  * Drop the patches as they are now all included in upstream
  * Drop dpatch from build-depends and modify debian/rules file
  * Adjust the examples, because of new location
  * Update lintian override

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 26 Oct 2006 19:50:47 +1000

gpsim (0.21.11-2) unstable; urgency=low

  * Include patch from Aurelien Jarno to make sure it build on
    kfreeBSD-i386 (Closes: #345215)
  * Improve debian/copyright notes and add other copyright holders
  * Include patch from upstream cvs to handle high level language
    debugging and more better pic support (30-picfix.dpatch)
  * Add lintian override for soname missmatch
  
  * Upload sponsored by Morten Werner Olsen.

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 28 Sep 2006 18:20:03 +1000

gpsim (0.21.11-1) unstable; urgency=medium

  * New maintainer (Closes: #387776)
  * New upstream release (Closes: #248931)
  * Change from dh_movefiles to dh_install
  * Update libgtkextra build-dependency to libgtkextra-x11-2.0-dev
  * Bump standards version
  * Fix typo in debian/control file which causes FTBFS
  * Bump debhelper level to 5 and create debian/compat file
  * Add build-depends against dpatch
  * Change from dh_movefiles to dh_install
  * Acknowledge several NMUs 
  (Closes: #376445, #244126, #346347, #244126, #265766, #334155, #293660, #264351)

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun, 17 Sep 2006 00:32:18 +1000

gpsim (0.20.14-7.4) unstable; urgency=low

  * NMU.
  * debian/control: Remove unneeded automake dependency. (Closes: #376445)

 -- Eric Dorland <eric@debian.org>  Sat, 19 Aug 2006 12:31:20 -0400

gpsim (0.20.14-7.3) unstable; urgency=low

  * Non-maintainer upload
  * Change build-dependency from libgtkextra-dev to
    libgtkextra17-dev (Closes: #244126)
  * Remove build-dependency against xlibs-dev (Closes: #346347)

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Mon, 29 May 2006 19:49:51 +0200

gpsim (0.20.14-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuilt with libreadline5-dev as build-dep. Closes: #244126.
  * Fix: "Default arguments are only permitted for function parameters"
    Closes: #265766, #334155.
  * Fix FTBFS with gcc-4.0. Closes: #293660.

 -- Luk Claes <luk@debian.org>  Mon, 17 Oct 2005 17:11:32 +0200

gpsim (0.20.14-7.1) unstable; urgency=medium

  * NMU during Darmstadt BSP
  * fixed FTBFS, added bison to build-dep. Closes: #264351.

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 21 Aug 2004 10:56:57 +0200

gpsim (0.20.14-7) unstable; urgency=low

  * Place -dev in proper section

 -- Stephen M Moraco <stephen@debian.org>  Sun, 22 Jun 2003 00:16:27 -0600

gpsim (0.20.14-6) unstable; urgency=low

  * Update to latest policy version
  * Fix build problems w/gcc-3.2/3 (Closes: Bug#196529, Bug#166629)

 -- Stephen M Moraco <stephen@debian.org>  Thu, 19 Jun 2003 22:15:33 -0600

gpsim (0.20.14-5) unstable; urgency=low

  * Update per debhelper best practice changes
  * Update Policy Version

 -- Stephen M Moraco <stephen@debian.org>  Thu, 13 Mar 2003 19:12:57 -0700

gpsim (0.20.14-4) unstable; urgency=low

  * Update to latest policy version

 -- Stephen M Moraco <stephen@debian.org>  Mon,  7 Oct 2002 20:04:25 -0600

gpsim (0.20.14-3) unstable; urgency=low

  * recommend new package gputils vs. gpasm

 -- Stephen M Moraco <stephen@debian.org>  Tue, 16 Apr 2002 21:42:10 -0600

gpsim (0.20.14-2) unstable; urgency=low

  * Fix so compiles on hppa g++-3.0 (Closes: Bug#120112)

 -- Stephen M Moraco <stephen@debian.org>  Fri,  8 Feb 2002 00:59:48 -0700

gpsim (0.20.14-1) unstable; urgency=low

  * New upstream version (See README.Debian for 20.15 info)
  * Corrected return value in CCPRH::get()  (Closes: Bug#114453)
  * Builds on ia64  (Closes: Bug#114460) 
    NOTE: new warnings forwarded to upstream
  * Correct description text  (Closes: Bug#124697)
  * Add automatic update of config.sub, config.guess (per autotools-dev doc)

 -- Stephen M Moraco <stephen@debian.org>  Mon, 28 Jan 2002 00:49:54 -0700

gpsim (0.20.9-3.2) unstable; urgency=low

  * Port NMU for hppa support (closes: Bug#120112) 

 -- Randolph Chung <tausq@debian.org>  Thu, 17 Jan 2002 21:51:19 -0800

gpsim (0.20.9-3.1) unstable; urgency=low

  * NMU
  * Applied a patch submitted by John R. Daily <jdaily@progeny.com> that
    cleans up the gcc 2.96 and 64-bit issues so that gpsim will build on
    ia64.  (closes: Bug#114460)

 -- Doug Porter <dsp@debian.org>  Thu, 15 Nov 2001 11:34:03 -0500

gpsim (0.20.9-3) unstable; urgency=low

  * Fix depends upon libgtkextra (Closes: Bug#109318)

 -- Stephen M Moraco <stephen@debian.org>  Tue, 21 Aug 2001 19:59:56 -0600

gpsim (0.20.9-2) unstable; urgency=low

  * Fix depends for gpsim-dev pkg

 -- Stephen M Moraco <stephen@debian.org>  Tue, 17 Jul 2001 00:37:24 -0600

gpsim (0.20.9-1) unstable; urgency=low

  * New upstream version.
  * Update to latest config.guess, config.sub (make our porters happy)
  * This new build fixes aged depend (Closes: Bug#104496)
  * Remove C++ build-depends per policy (Closes: Bug#104821)

 -- Stephen M Moraco <stephen@debian.org>  Sun, 15 Jul 2001 15:48:23 -0600

gpsim (0.20.7-4) unstable; urgency=low

  * New Maintainer
  * Roll to debhelper from debmake
  * Update automake/autoconf support scripts (Closes: Bug#90531)
  * Split into gpsim and gpsim-dev packges, reduce normal-use footprint

 -- Stephen M Moraco <stephen@debian.org>  Sat, 31 Mar 2001 15:57:23 -0700

gpsim (0.20.7-3) unstable; urgency=low

  * New libgtkextra, so need a new build.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 20 Mar 2001 20:12:45 +0100

gpsim (0.20.7-2) unstable; urgency=low

  * Add build-depends line. Closes #85186, #84868.
  * Build against libgtkextra13.
  * Update standards version.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 17 Feb 2001 14:23:10 +0100

gpsim (0.20.7-1) unstable; urgency=low

  * New upstream release.
  * Changes to gpsim/main.cc in order to compile correctly with libpopt.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 29 Jan 2001 19:29:01 +0100

gpsim (0.20.6-2) unstable; urgency=low

  * Recompile with libgtkextra12 (closes: #83121)
  * Although 0.20.7 is released I cannot upload it to debian yet, because
    it won't compile due to issues with libpopt. Have to investigate.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 28 Jan 2001 19:33:41 +0100

gpsim (0.20.6-1) unstable; urgency=low

  * New upstream. Contains the new trace GUI viewer.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 18 Oct 2000 19:02:45 +0200

gpsim (0.20.5-1) unstable; urgency=low

  * New upstream version.
  * Put exdbm on the depends line in the control file.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  1 Oct 2000 17:48:26 +0200

gpsim (0.20.2-2) unstable; urgency=low

  * Recompile with gtk-extra-0.99.10.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 31 Aug 2000 19:15:12 +0200

gpsim (0.20.2-1) unstable; urgency=low

  * New upstream version.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 28 Aug 2000 19:48:57 +0200

gpsim (0.20.1-1) unstable; urgency=low

  * Initial release.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  6 Aug 2000 12:14:50 +0200


